%==========================================================================
% revlInstr
% Script to display the instructions for the Reversal Learning Task
%
% Hanneke den Ouden 
% Donders Institute for Brain, Cognition and Behaviour
% h.denouden@gmail.com
% 
% version 11-08-2015
%==========================================================================


% Set a bunch of parameters for the instruction screen
spacing = 2; % distance between lines, in multiples of textsize
top     = prep.top; % location of the top of the text
wacht   = 1.5; %time in secs to wait before showing the next set of instructions

% SCREEN
% -------------------------------------------------------------------------
txt{1}    = {'WELCOME TO THE CASINO GAME!',' ',...
    'On each go, you will see a blue and an orange slot machine,',...
    'one on each side of the screen.',...
    'You choose which one to play by pressing left (v) or right (m).',...
    ' ',...
    ' ',...
    ' '};
txt{2}    = { ' ',' ',...
    'The slot machines differ in how often they pay out.',...
    'You should choose the slot machine that pays out most often.',...
    'The best player in the summer school will win a prize!'};
txt{3} = {'  ',' ',...
    'The pay-out of both machines can change.',...
    'So you have to keep track of which machine is paying out more,',...
    'and pick that one.'};
txt{4}= {'  ',' ',...
    'It is important to realize that the feedback you get',...
    'ONLY depends on the colour of the slot machine.',...
    'So it does not depend on the location,',...
    'nor on your previous choices.',' '};
txt{5} = {'Reminder: the response keys are ''v'' and ''m''.',...
    ' ','Good luck!',...
    ' ','Press any key to start the game.',...
    };

% display the texts
for i  = 1:numel(txt)-1
    disptxt(txt{i},wd,wdw,wdh,1,0,white,0,1);
    WaitSecs(2);
    pressbutton;
end

disptxt(txt{end},wd,wdw,wdh,0,0,white,0,1);
WaitSecs(0.2);
KbWait;
blackscreen;
WaitSecs(1);



